# Package org.jboss.logging.processor.model

Interface Summary
Interface | Description
--- | ---
JavaDocComment | Represents the `JavaDoc's` documentation.
MessageInterface | Date: 28.07.2011
MessageMethod | Date: 29.07.2011
MessageMethod.Message | Represents a `Message` annotation on a method.
MessageObject | A generic interface for returning basic information about parts of a message bundle or message logger interface.
MessageObjectType | Date: 23.08.2011
Parameter |
ReturnType | Date: 29.07.2011
ThrowableType | Date: 27.09.2011

Class Summary
Class | Description
--- | ---
ReturnType.VoidReturnType | Default type if the return type is void.

Enum Summary
Enum | Description
--- | ---
MessageInterface.AnnotatedType |
Parameter.ParameterType | The types of parameters.